Package org.drinkless.tdlib

# Class TdApi.GetCallbackQueryAnswer

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.CallbackQueryAnswer>
org.drinkless.tdlib.TdApi.GetCallbackQueryAnswer

Enclosing class:
  `TdApi`

public static class TdApi.GetCallbackQueryAnswer extends TdApi.Function<TdApi.CallbackQueryAnswer>
Sends a callback query to a bot and returns an answer. Returns an error with code 502 if the bot fails to answer the query before the query timeout expires.

Returns `CallbackQueryAnswer`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat with the message.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `messageId`
  Identifier of the message from which the query originated.
  `TdApi.CallbackQueryPayload`
  `payload`
  Query payload.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetCallbackQueryAnswer()`
  Default constructor for a function, which sends a callback query to a bot and returns an answer.
  `GetCallbackQueryAnswer(long chatId, long messageId, TdApi.CallbackQueryPayload payload)`
  Creates a function, which sends a callback query to a bot and returns an answer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat with the message.

  - ### messageId

    public long messageId
    Identifier of the message from which the query originated. The message must not be scheduled.

  - ### payload

    public TdApi.CallbackQueryPayload payload
    Query payload.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetCallbackQueryAnswer

    public GetCallbackQueryAnswer()
    Default constructor for a function, which sends a callback query to a bot and returns an answer. Returns an error with code 502 if the bot fails to answer the query before the query timeout expires.

    Returns `CallbackQueryAnswer`

  - ### GetCallbackQueryAnswer

    public GetCallbackQueryAnswer(long chatId, long messageId, TdApi.CallbackQueryPayload payload)
    Creates a function, which sends a callback query to a bot and returns an answer. Returns an error with code 502 if the bot fails to answer the query before the query timeout expires.

    Returns `CallbackQueryAnswer`

    Parameters:
      `chatId` - Identifier of the chat with the message.
      `messageId` - Identifier of the message from which the query originated. The message must not be scheduled.
      `payload` - Query payload.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.CallbackQueryAnswer>`
    Returns:
      this.CONSTRUCTOR